> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_gym/developer-api/server-exports.md).

# Server Exports

### getSkill

Checking how much a player currently has skill

```lua
-- @param {skill_name: string}: Registered skill name for example 'condition'
local skill = exports["vms_gym"]:getSkill(source, skill_name)
```

***

### addSkill

Add a skill value to a player by specifying the skill name and value

```lua
-- @param {skill_name: string}: Registered skill name for example 'condition'
-- @param {value: number}: Value to add for example 10.0
exports["vms_gym"]:addSkill(source, skill_name, value)
```

***

### removeSkill

Remove the skill value to a player by specifying the skill name and value

```lua
-- @param {skill_name: string}: Registered skill name for example 'condition'
-- @param {value: number}: Value to remove for example 10.0
exports["vms_gym"]:removeSkill(source, skill_name, value)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_gym/developer-api/server-exports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
